# 브랜드 소식 메인 통계

## Request

## 지정된 브랜드의 소식 메인 통계를 조회 합니다.<br>

> 지정된 브랜드의 소식 메인 통계를 조회 합니다.<br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center 브랜드 소식 API 규격","version":"1.0.0"},"servers":[{"url":"https://api-qa.rcsbizcenter.com/bfapi/1.0","description":"RCS Biz Center API for Staging"},{"url":"https://api.rcsbizcenter.com/bfapi/1.0","description":"RCS Biz Center API for Production"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/brand/{brandId}/feed/stat/main":{"get":{"summary":"지정된 브랜드의 소식 메인 통계를 조회 합니다.\n","description":"지정된 브랜드의 소식 메인 통계를 조회 합니다.\n","parameters":[{"name":"X-RCS-Brandkey","in":"header","description":"maxLength: 36 - RCS Biz Center에서 브랜드 등록 시 자동 생성되는 Key 입니다. 대행사가 브랜드 소식 API 연동 시 Header에 반드시 설정하여야 합니다.","required":false,"schema":{"type":"string"}},{"name":"brandId","in":"path","description":"브랜드 내 정보 접근시 사용되는 브랜드ID Path Parameter 입니다.","required":true,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"시작 offset 번호(default: 0) 입니다.","required":false,"schema":{"type":"integer"}},{"name":"limit","in":"query","description":"maxLength: 100 - 조회 최대 건수(default: 10, maxLength: 100) 입니다.","required":false,"schema":{"type":"integer"}},{"name":"startDate","in":"query","description":"maxLength: 8 - 검색 시작일자(YYYYMMDD)를 지정합니다. 미지정 시 현재일 기준 전일로 부터  30일 이전 일자 기본 설정되며, 검색 시작일과 종료일의 범위는 최대 1개월입니다. 검색 가능 일자 범위는 전일 기준 1년 이내 입니다.","required":false,"schema":{"type":"string"}},{"name":"endDate","in":"query","description":"maxLength: 8 - 검색 종료일자(YYYYMMDD)를 지정합니다. 미지정 시 현재일 기준 전일로 기본 설정되며, 검색 시작일과 종료일의 범위는 최대 1개월입니다. 검색 가능 일자 범위는 전일 기준 1년 이내 입니다.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="184">필드명</th><th width="174">타입</th><th width="98" align="center">길이</th><th width="112" align="center">필수여부</th><th width="122">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-brandfeed-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;BrandFeed></td><td align="center"></td><td align="center">O</td><td></td><td>브랜드 소식 메인 통계</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td>리턴코드값</td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td>상태값</td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>처리메시지</td></tr><tr><td><strong><code>pagination</code></strong></td><td>Pagination</td><td align="center"></td><td align="center">O</td><td></td><td>전체건수와 페이징조건</td></tr><tr><td><strong><code>links</code></strong></td><td>Links</td><td align="center"></td><td align="center">O</td><td></td><td>이전/다음</td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<BrandFeed>

<table data-full-width="true"><thead><tr><th width="184">필드명</th><th width="174">타입</th><th width="98" align="center">길이</th><th width="112" align="center">필수여부</th><th width="122">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>brandId</code></strong></td><td>string</td><td align="center">13</td><td align="center"></td><td></td><td>브랜드 ID</td></tr><tr><td><strong><code>ymd</code></strong></td><td>string</td><td align="center">8</td><td align="center"></td><td></td><td>통계일자</td></tr><tr><td><strong><code>stayTime</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>체류시간 단위 초(sec)</td></tr><tr><td><strong><code>pvCnt</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>당일 페이지 뷰수</td></tr><tr><td><strong><code>pvTotCnt</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>누적 페이지 뷰수</td></tr><tr><td><strong><code>clCnt</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>당일 소식 클릭수</td></tr><tr><td><strong><code>clTotCnt</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>누적 소식 클릭수</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": {
        "statList": [
            {
                "brandId": "BR.dM1gH08zPw",
                "ymd": "2024-07-04",
                "stayTime": 0,
                "pvCnt": 5,
                "pvTotCnt": 1519,
                "clCnt": 0,
                "clTotCnt": 25
            },
            {
                "brandId": "BR.dM1gH08zPw",
                "ymd": "2024-07-03",
                "stayTime": 0,
                "pvCnt": 8,
                "pvTotCnt": 1514,
                "clCnt": 0,
                "clTotCnt": 25
            },
            {
                "brandId": "BR.dM1gH08zPw",
                "ymd": "2024-07-02",
                "stayTime": 0,
                "pvCnt": 15,
                "pvTotCnt": 1506,
                "clCnt": 0,
                "clTotCnt": 25
            }
        ]
    },
    "pagination": {
        "offset": 0,
        "limit": 100,
        "total": 3
    },
    "links": {
        "prev": null,
        "next": null
    },
    "status": 200
}
```

{% endtab %}

{% tab title="401" %}

```
{
  "status": "401",
  "error": {
    "code": "61001",
    "message": "Missing Authorization header"
  }
}

{
    "error": {
        "code": "63001",
        "message": "No Brand Permission"
    },
    "status": 401
}

{
    "error": {
        "code": "64713",
        "message": "No File Permission [BR.Q63creSjku-FDRwSMvksa5P]"
    },
    "status": 401
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [브랜드소식 - Response body error code](/feed-api/error_code.md#response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/feed-api/stat/get_feed_main_stat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
